Bug 21354 - gtv can hang Xserver (4.0)
gtv can hang Xserver (4.0)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: smpeg (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-26 12:24 EST by Ed McKenzie
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 11:49:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2000-11-26 12:24:00 EST
When I open a file that gtv can't open, it will usually either just not
open it or crash, but on some files it will lock up the Xserver. Sometimes
I can still switch away from VT7 and kill gtv.

There's no category for smpeg, but it's closely related to SDL, so I've set
that as the category.
Comment 1 Bernhard Rosenkraenzer 2000-11-26 16:13:02 EST
Please attach a sample.
Comment 2 Ed McKenzie 2000-11-26 17:59:39 EST
See lab.mov from http://www.zeldman.com/jz_resume4.html (third paragraph, link
says 2 MB QuickTime.)

Trying to play this movie makes the Xserver unresponsive to mouse clicks, though
you can still switch VTs and killall -9 gtv.
Comment 3 Ngo Than 2001-01-22 13:15:51 EST
gtv don't suppport quicktime format. Please use xanim instead.
Comment 4 Ed McKenzie 2001-01-22 13:29:36 EST
I was aware that gtv doesn't support quicktime. However, the fact that 

there are so many applications (gtv, dri, xmms, netscape, etc.) that can 

reproducibly hang the Xserver suggests that either all these apps are 

broken, or the XFree 4.x code isn't stable.



In any case, there are better ways to deal with unsupported file formats. :)

Note You need to log in before you can comment on or make changes to this bug.